Bug 662058 - qemu-img convert poor performance
Summary: qemu-img convert poor performance
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: qemu-kvm
Version: 6.1
Hardware: All
OS: Linux
high
high
Target Milestone: rc
: ---
Assignee: Virtualization Maintenance
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On: 653536
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-12-10 13:18 UTC by RHEL Product and Program Management
Modified: 2013-01-11 03:40 UTC (History)
15 users (show)

Fixed In Version: qemu-kvm-0.12.1.2-2.113.el6_0.5
Doc Type: Bug Fix
Doc Text:
Previously, the conversion of a disk image by using the "qemu-img convert" command may have been significantly slow. With this update, various patches have been applied to improve the performance of the above command.
Clone Of:
Environment:
Last Closed: 2011-01-10 16:09:26 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2011:0012 normal SHIPPED_LIVE qemu-kvm bug fix update 2011-01-10 16:09:03 UTC

Description RHEL Product and Program Management 2010-12-10 13:18:31 UTC
This bug has been copied from bug #653536 and has been proposed
to be backported to 6.0 z-stream (EUS).

Comment 6 Miya Chen 2010-12-28 06:24:14 UTC
For qemu-kvm-0.12.1.2-2.113.el6_0.4:
# time strace -o 113_4.log qemu-img convert -f qcow2 /mnt/rhel39-32.qcow2 -O qcow2 /mnt/113_4.qcow2

real	5m8.992s
user	0m21.775s
sys	1m8.603s

# grep fdatasync 113_4.log |wc -l
101689

For qemu-kvm-0.12.1.2-2.113.el6_0.5:
# time strace -o 113_5.log qemu-img convert -f qcow2 /mnt/rhel39-32.qcow2 -O qcow2 /mnt/113_5.qcow2

real	2m10.605s
user	0m18.323s
sys	0m41.449s

# grep fdatasync 113_5.log |wc -l
0

# /usr/libexec/qemu-kvm --help |grep cache
       [,cache=writethrough|writeback|none|unsafe][,format=f]

Based on the above, this bug is fixed.

Comment 8 Jaromir Hradilek 2011-01-10 15:40:31 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Previously, the conversion of a disk image by using the "qemu-img convert" command may have been significantly slow. With this update, various patches have been applied to improve the performance of the above command.

Comment 10 errata-xmlrpc 2011-01-10 16:09:26 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0012.html


Note You need to log in before you can comment on or make changes to this bug.